@import url("../../../icomoon/style.css");

/* Container */
.gform_wrapper .gform_body .gform_fields {
    column-gap: var(--wp--preset--spacing--30);
    row-gap: var(--wp--preset--spacing--40);
}

.gform_wrapper .gform_body .gform-grid-row {
    margin-inline: calc(var(--wp--preset--spacing--30) * -1 / 2);
    row-gap: var(--wp--preset--spacing--40);
}

/* Labels */
.gform_wrapper .gfield .gfield_label.gform-field-label,
.gform_wrapper .gfield .gform-field-label {
    color: inherit;
    font-size: var(--wp--preset--font-size--small);
    line-height: 150%;
    letter-spacing: 0%;
    text-transform: uppercase;

}

/* Description */
.gform_wrapper .gfield .gfield_description.gfield_consent_description {
    border: none;
    padding: 0;
    color: inherit;
}

/* Inputs */
.gform_wrapper .gfield .ginput_container input:not([type="checkbox"]):not([type="radio"]),
.gform_wrapper .gfield .ginput_container textarea,
.gform_wrapper .gfield .ginput_container select {
    display: flex;
    width: 100%;
    height: 56px;
    padding: 0 var(--wp--preset--spacing--50);
    align-items: center;
    align-self: stretch;
    border: 1px solid transparent;
    border-radius: var(--wp--custom--global--border--radius--input);
    box-shadow: none;
    color: var(--wp--preset--color--contrast);
    font-size: var(--wp--preset--font-size--normal);
    box-shadow: 0px 4px 16px 0px rgba(106, 35, 0, 0.08);
    background-color: var(--wp--preset--color--base);
    font-size: var(--wp--preset--font-size--normal);

}
.gform_wrapper .gfield.gfield_error .ginput_container input:not([type="checkbox"]):not([type="radio"]),
.gform_wrapper .gfield.gfield_error .ginput_container textarea,
.gform_wrapper .gfield.gfield_error .ginput_container select {
    border-color: red;
}
.gform_wrapper .gfield .ginput_container input:not([type="checkbox"]):not([type="radio"]):focus,
.gform_wrapper .gfield .ginput_container textarea:focus,
.gform_wrapper .gfield .ginput_container select:focus {
    outline: none;
    border-color: var(--wp--preset--color--primary);
}

.is-style-section-primary .gform_wrapper .gfield .ginput_container input:not([type="checkbox"]):not([type="radio"]):focus,
.is-style-section-primary .gform_wrapper .gfield .ginput_container textarea:focus,
.is-style-section-primary .gform_wrapper .gfield .ginput_container select:focus {
    border-color: var(--wp--preset--color--primary);
}

.gform_wrapper .gfield .ginput_container textarea {
    padding: var(--wp--preset--spacing--30) var(--wp--preset--spacing--40);
    min-block-size: 120px !important;
}
.gform_wrapper .gfield .ginput_container select {
    background: var(--wp--preset--color--base) url(../../../svg/chevron-down.svg) no-repeat right var(--wp--preset--spacing--40) center;
    background-size: 16px;
}
.gform_wrapper .gfield .ginput_container input[type="file"] {
    padding: 0 !important;
}
@media (min-width: 784px) {
    .gform_wrapper .gfield .ginput_container input[type="file"] {
        background: var(--wp--preset--color--base) url(../../../svg/paper-clip.svg) no-repeat right var(--wp--preset--spacing--40) center;
        background-size: 16px;
    }
}
.gform_wrapper .gfield .ginput_container input.datepicker,
.gform_wrapper .gfield .ginput_container input.awp_datetimepicker {
    background: var(--wp--preset--color--base) url(../../../svg/calendar.svg) no-repeat right var(--wp--preset--spacing--40) center;
    background-size: 16px;
}
.gform_wrapper .gfield .gform-grid-col {
    padding-inline: calc(var(--wp--preset--spacing--30) / 2);
}

/* Checkbox */
.gform_wrapper .gfield .ginput_container input[type="checkbox"] {
    width: 32px;
    height: 32px;
    border-radius: 0;
    opacity: 0;
}
.gform_wrapper .gfield .ginput_container:has(input[type="checkbox"]) label.gform-field-label:before {
    content: "";
    display: block;
    width: 32px;
    height: 32px;
    border-radius: var(--wp--custom--global--border--radius--input);
    border: 1px solid transparent;
    position: absolute;
    box-shadow: 0px 4px 16px 0px rgba(106, 35, 0, 0.08);
    background-color: var(--wp--preset--color--base);
    top: 0;
    left: 0;
    pointer-events: none;
}
.gform_wrapper .gfield .ginput_container input[type="checkbox"]:focus + label.gform-field-label:before {
    border-color: var(--wp--preset--color--primary);
}
.is-style-section-primary .gform_wrapper .gfield .ginput_container input[type="checkbox"]:focus + label.gform-field-label:before {
    border-color: var(--wp--preset--color--secondary);
}
.gform_wrapper .gfield .ginput_container input[type="checkbox"]:checked + label.gform-field-label:before {
    background-color: var(--wp--preset--color--primary);
    border-color: var(--wp--preset--color--primary);
}
.is-style-section-primary .gform_wrapper .gfield .ginput_container input[type="checkbox"]:checked + label.gform-field-label:before {
    background-color: var(--wp--preset--color--secondary);
    border-color: var(--wp--preset--color--secondary);
}
.gform_wrapper .gfield .ginput_container.ginput_container_checkbox div,
.gform_wrapper .gfield .ginput_container {
    position: relative;
}
.gform_wrapper .gfield .ginput_container:has(input[type="checkbox"]) label.gform-field-label {
    cursor: pointer;
}
.gform_wrapper .gfield .ginput_container input[type="checkbox"] + label.gform-field-label:after {
    content: "\e92b";
    font-family: "icomoon" !important;
    font-size: var(--wp--preset--font-size--normal);
    line-height: 1;
    color: var(--wp--preset--color--base);
    position: absolute;
    width: 32px;
    height: 32px;
    top: 0;
    left: 0;
    display: none;
    align-items: center;
    justify-content: center;
    pointer-events: none;
}
.gform_wrapper .gfield .ginput_container input[type="checkbox"]:checked + label.gform-field-label:after {
    display: flex;
}

/* Radio */
.gform_wrapper .gfield .ginput_container input[type="radio"] {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    opacity: 0;
}
.gform_wrapper .gfield .ginput_container.ginput_container_radio label.gform-field-label:before {
    content: "";
    display: block;
    background-color: var(--wp--preset--color--base);
    width: 32px;
    height: 32px;
    border-radius: 50%;
    box-shadow: 0px 4px 16px 0px rgba(106, 35, 0, 0.08);
    border: 1px solid transparent;
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
}
.gform_wrapper .gfield .ginput_container.ginput_container_radio input[type="radio"]:focus + label.gform-field-label:before {
    border-color: var(--wp--preset--color--primary);
}
.is-style-section-primary .gform_wrapper .gfield .ginput_container input[type="radio"]:focus + label.gform-field-label:before {
    border-color: var(--wp--preset--color--secondary);
}
.gform_wrapper .gfield .ginput_container.ginput_container_radio input[type="radio"]:checked + label.gform-field-label:before {
    background-color: var(--wp--preset--color--primary);
    border-color: var(--wp--preset--color--primary);
}
.is-style-section-primary .gform_wrapper .gfield .ginput_container input[type="radio"]:checked + label.gform-field-label:before {
    background-color: var(--wp--preset--color--secondary);
    border-color: var(--wp--preset--color--secondary);
}
.gform_wrapper .gfield .ginput_container.ginput_container_radio div {
    position: relative;
}
.gform_wrapper .gfield .ginput_container:has(input[type="radio"]) label.gform-field-label,
.gform_wrapper .gfield .ginput_container:has(input[type="checkbox"]) label.gform-field-label {
    cursor: pointer;
    text-transform: none;
    display: flex;
    align-items: center;
    font-weight: 400;
    font-size: var(--wp--preset--font-size--normal);
}
.gform_wrapper .gfield .ginput_container:has(input[type="radio"]) label.gform-field-label.gfield_consent_label,
.gform_wrapper .gfield .ginput_container:has(input[type="checkbox"]) label.gform-field-label.gfield_consent_label {
    display: block;
    padding-top: 2px;
}
.gform_wrapper .gfield .ginput_container input[type="radio"]:checked + label.gform-field-label,
.gform_wrapper .gfield .ginput_container input[type="checkbox"]:checked + label.gform-field-label {
    font-weight: 500;
}
.gform_wrapper .gfield .ginput_container input[type="radio"] + label.gform-field-label:after {
    content: "";
    background-color: var(--wp--preset--color--base);
    position: absolute;
    width: 16px;
    border-radius: 50%;
    height: 16px;
    top: 8px;
    left: 8px;
    display: none;
}
.gform_wrapper .gfield .ginput_container input[type="radio"]:checked + label.gform-field-label:after {
    display: flex;
}

.gform_wrapper .gfield.gf_list_inline .ginput_container {
    & > .gfield_radio,
    & > .gfield_checkbox {
        display: flex;
        flex-direction: row;
        white-space: pre;
        .gchoice {
            flex: 1;
            padding: 0;
            display: flex;
            & > label {
                margin: 0;
                background-color: var(--wp--preset--color--base);
                border: 1px solid #E6E8E8;
                width: 100%;
                align-items: center;
                justify-content: center;
                padding: var(--wp--preset--spacing--20) var(--wp--preset--spacing--30);
                border-radius: var(--wp--custom--global--border--radius--input);
                height: 56px;
                transition: border-color 0.2s ease-in-out;
                &:hover {
                    border-color: var(--wp--preset--color--primary-dark);
                }
                &::before,
                &::after {
                    display: none !important;
                }
            }
            & > input {
                display: none;
                &:checked + label {
                    border: 2px solid var(--wp--preset--color--primary);
                    font-weight: 600;
                }
            }
        }
    }
}

/* Product */
.gform_wrapper .gfield.donation-amount-notice,
.gform_wrapper [class*="gfield_price_description"] .gfield_description,
.gform_wrapper [class*="gfield-price-description"] .gfield_description,
.gfield_price.field_description_below.horizontal-gray .gfield_description, 
.gfield_price.field_description_above.horizontal-gray .gfield_description {
    background-color: #D2DEE4;
    margin: calc(-1 * var(--wp--preset--spacing--20)) auto 0;
    padding: var(--wp--preset--spacing--20) var(--wp--preset--spacing--30);
    border-radius: var(--wp--custom--global--border--radius--input);
    font-size: var(--wp--preset--font-size--small);
    color: var(--wp--preset--color--contrast);
    text-align: center;
    position: relative;
    text-wrap: balance;
} 

.gform_wrapper [class*="gfield-price-description"]:not(.gfield_contains_required):has(.gfield_description) {
    .ginput_container {
        display: none !important;
    }
}


/* Warnings */
.gform_wrapper .gform_heading {
    display: none;
}
.gform_wrapper .gfield .gfield_description.gfield_validation_message {
    color: red;
    font-size: var(--wp--preset--font-size--small);
    margin-top: var(--wp--preset--spacing--20);
}
.gform_wrapper .gform_validation_errors {
    border: 0 !important;
    padding: 0 !important;
    background-color: transparent !important;
    box-shadow: none !important;
    outline: none !important;
    margin-bottom: 28px !important;
    padding: var(--wp--preset--spacing--40) !important;
    border: 1px solid rgba(255, 0, 38, 1) !important;
    border-radius: var(--wp--custom--global--border--radius--base) !important;
    background-color: var(--wp--preset--color--base) !important;
}
.gform_wrapper .gform_validation_errors h2.gform_submission_error {
    display: flex;
    align-items: flex-start;
    gap: var(--wp--preset--spacing--40);
    font-size: var(--wp--preset--font-size--normal);
    color: var(--wp--preset--color--contrast);
}
.gform_wrapper .gform_validation_errors h2:before {
    content: '';
    width: 18px;
    min-width: 18px;
    height: 18px;
    background-image: url(../../../svg/alert-triangle.svg);
    background-repeat: no-repeat;
    background-size: contain;
    display: inline-block;
    vertical-align: middle;
    position: relative;
    top: 3px;
}
.gform_wrapper .gform_validation_errors .gform-icon {
    display: none !important;
}
.gform_wrapper .gform_validation_errors ol {
    display: block;
    margin: 0;
    list-style: none !important;
    padding: 0 !important;
    color: var(--wp--preset--color--contrast);
    padding-left: 34px !important;
}
.gform_wrapper .gform_validation_errors ol li a {
    color: var(--wp--preset--color--contrast);
    text-decoration: none;
}
.gform_wrapper .gfield .gform-field-label .gfield_required {
    color: var(--wp--preset--color--primary);
}
.is-style-section-primary .gfield .gform-field-label .gfield_required {
    color: var(--wp--preset--color--secondary);
}

body .wp-site-blocks .gform_wrapper .gform_page_footer,
body .wp-site-blocks .gform_wrapper .gform_footer {
    display: flex;
    & > .gform-button-wrapper {
        .gform-loader {
            margin: var(--wp--preset--spacing--20) 0;
        }
    }
}

@media (max-width: 600px) {
    body .wp-site-blocks .gform_wrapper .gform_page_footer,
    body .wp-site-blocks .gform_wrapper .gform_footer {
        & > .gform-button-wrapper {
            flex: 1;
        }
    }
}

/* Submit */
.gform_wrapper form .gform-footer.gform_footer input.gform_button.button {
    background-color: var(--wp--preset--color--contrast) !important;
    border-radius: var(--wp--custom--global--border--radius--button) !important;
    border-width: 0 !important;
    color: var(--wp--preset--color--base) !important;
    font-family: var(--wp--preset--font-family--worksans) !important;
    font-size: calc(var(--wp--preset--font-size--normal) - 2px) !important;
    font-style: inherit !important;
    font-weight: 500 !important;
    letter-spacing: inherit !important;
    line-height: inherit !important;
    padding-top: calc(0.667em + 2px) !important;
    padding-right: calc(1.333em + 2px) !important;
    padding-bottom: calc(0.667em + 2px) !important;
    padding-left: calc(1.333em + 2px) !important;
    text-decoration: none !important;
    text-transform: inherit !important;
}


/* Succes */
.gform_wrapper .gform_confirmation_message {
    display: flex;
    align-items: center;
    gap: 12px;
    font-size: var(--wp--preset--font-size--normal);
    color: var(--wp--preset--color--primary);
}
.gform_wrapper .gform_confirmation_message:before {
    content: "\e96d";
    font-family: "icomoon" !important;
    font-size: 24px;
    line-height: 1;
}

input.gchoice_other_control:disabled {
    display: none !important;
}

.gform_wrapper .gfield .ginput_container.ginput_container_radio .gfield_radio div:has(.gchoice_other_control) {
    display: block;
    flex-wrap: wrap;
    align-items: center;
}

.gform_wrapper .gfield .ginput_container.ginput_container_radio .gfield_radio div:has(.gchoice_other_control) label {
    display: inline-block;
    margin-top: 3px;
    margin-left: 10px;
}

input.gchoice_other_control {
    display: block;
    margin-top: var(--wp--preset--spacing--20) !important;
}

input::placeholder {
  opacity: .7;
}

.gform_wrapper .ginput_complex.ginput_container.ginput_container_address {
    margin: calc(var(--wp--preset--spacing--40) / 2) calc(-1 * var(--wp--preset--spacing--40) / 2) calc(-1 * var(--wp--preset--spacing--40) / 2) !important;
}

.gform_wrapper .ginput_complex.ginput_container.ginput_container_address span {
    padding: calc(var(--wp--preset--spacing--40) / 2) !important;
}

.gform_wrapper .ginput_complex.ginput_container.ginput_container_address span label {
    color: inherit !important;
    font-size: var(--wp--preset--font-size--small) !important;
    text-transform: uppercase !important;
    font-weight: 700 !important;
    margin-bottom: var(--gf-label-space-primary);
}

@media (max-width: 782px) {
    .gform_wrapper .gfield.gf_list_inline .ginput_container {
        & > .gfield_radio, & > .gfield_checkbox {
            display: flex;
            flex-direction: row;
            flex-wrap: nowrap;
            justify-content: space-between;
            .gchoice {
                flex: 1 1 auto;
                min-width: 0;
            }
        }
    }
    body .wp-site-blocks .gform_wrapper .gform_page_footer, body .wp-site-blocks .gform_wrapper .gform_footer {
        /* flex-direction: column; */
         & > .gform-button-wrapper:has(.gform_previous_button) {
            order: 2;
        }
        & > .gform-button-wrapper:has(.gform_next_button, ) {
            order: 1;
        }
    }
    .gform_wrapper .gfield .ginput_container:has(input[type="radio"]) label.gform-field-label:has(a), .gform_wrapper .gfield .ginput_container:has(input[type="checkbox"]) label.gform-field-label:has(a) {
        display: block;
    }
}

/* Newsletter Footer */
footer .footer-newsletter-form {
    display: inline-flex;
    align-items: center;
    background-color: var(--wp--preset--color--base);
    padding: 5px;
    gap: 8px;
    border-radius: 100px;
    .gfield_description.validation_message.gfield_validation_message {
        position: absolute;
    }
    input {
        border-radius: 100px !important;
        box-shadow: none !important;
    }
    .gform-footer {
        margin: 0;
        input.gform_button {
            display: flex !important;
            align-items: center !important;
            justify-content: center !important;
            height: 56px !important;
        }
    }
}

@media (max-width: 782px) {
    footer .footer-newsletter-form {
        flex-direction: column;
        background-color: transparent;
        padding: 0;
        align-items: stretch;
        width: 100%;
        display: flex;
        input {
            width: 100%;
        }
        .gform-footer {
            input.gform_button {
                width: 100% !important;
            }
        }
    }
}